VismaBouwsoftAPICalls.v1_GET_ItemGroups Method
v1_GET_ItemGroups() as String

This API call is used to get fields of a(n) ItemGroup(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ItemGroups/
or
API Path: /ItemGroups/{id}
or
API Path: /ItemGroups/FieldInfo/

You can make this API call:
* without the key field id to get a list of ItemGroups
* with the key field id as the path parameter (the specific id of the ItemGroup you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 50 No No No
name_localized 2 tpString 50 No No No
list_id 1 tpLong 0 No No No
list_name 2 tpString 50 No No No

/ItemGroups/

API Path: /ItemGroups/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ItemGroups

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mVIfWxfkPPzSfVfbGfzRqAmVflUlGfDmfUPbzbGDGImfUkmfDO

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/783”, “Records”: [
  {
    "id": 1,
    "name": "00 WERF",
    "name_localized": "00 WERF",
    "list_id": 2,
    "list_name": "BOUW"
  },
  {
    "id": 2,
    "name": "01 ONDERBOUW",
    "name_localized": "01 ONDERBOUW",
    "list_id": 2,
    "list_name": "BOUW"
  }
,

]
}

/ItemGroups/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ItemGroups/1158

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rtGfWxfIfVzSfrffIfzRqUOGfUPIfGIffjDkztkUVUOGGfOfrU

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1158,
    "name": "APIItemGroup",
    "name_localized": "APIItemGroup",
    "list_id": 61,
    "list_name": "APIITEMLIST2"
  }
]
}

https://ra.bouwsoft.be/api/v1/ItemGroups/1158

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rtGfWxfIfVzSfrffIfzRqUOGfUPIfGIffjDkztkUVUOGGfOfrU

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1158,
    "name": "APIItemGroup2",
    "name_localized": "APIItemGroup2",
    "list_id": 61,
    "list_name": "APIITEMLIST2"
  }
]
}

/ItemGroups/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ItemGroups/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "name_localized",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]